#
# spec file for package maildir-utils
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           maildir-utils
Version:        0.9.18
Release:        2
Summary:        Maildir indexer and searcher
License:        GPL-3.0+
Group:          Productivity/Networking/Email/Utilities
Url:            http://www.djcbsoftware.nl/code/mu/
Source:         https://github.com/djcb/mu/releases/download/%{version}/mu-%{version}.tar.gz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  emacs-nox >= 23
BuildRequires:  gmime-devel
BuildRequires:  libtool
BuildRequires:  xapian-core-devel
BuildRequires:  texinfo
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Set of utilities to index and search Maildirs. Upstream name is mu.

%package -n mu4e
Summary:        Emacs-based e-mail client. Based on the mu e-mail indexer/searcher
Group:          Productivity/Networking/Email/Clients
Requires:       %{name} = %{version}
Requires(post): info
Requires(preun): info

%description -n mu4e
mu4e is an emacs-based e-mail client. It’s based on the mu e-mail indexer/searcher.

%prep
%setup -q -n mu-%{version}

%build
autoreconf -i
%configure
make %{?_smp_mflags}

%install
%make_install

%post -n mu4e
/sbin/install_info --info-dir=%{_infodir} %{_infodir}/mu4e.info.gz

%preun -n mu4e
/sbin/install_info --delete --info-dir=%{_infodir} %{_infodir}/mu4e.info.gz

%files
%defattr(-,root,root)
%doc ChangeLog README COPYING
%dir %{_datadir}/doc/mu
%{_bindir}/mu
%{_datadir}/doc/mu/NEWS.org
%{_mandir}/man?/*

%files -n mu4e
%defattr(-,root,root)
%{_datadir}/doc/mu/mu4e-about.org
%dir %{_datadir}/emacs/site-lisp/mu4e/
%{_datadir}/emacs/site-lisp/mu4e/*.el*
%{_infodir}/mu4e.info.gz
%exclude %{_infodir}/dir

%changelog
* Thu May 04 2017 Michael DePaulo - 0.9.18-2
- Port to EPEL7

* Fri Apr  7 2017 mvetter@suse.com
- Use proper license (GPL-3.0+)
* Thu Apr  6 2017 mvetter@suse.com
- Add package mu4e (emacs+mu based email client)
- Change in BuildRequires:
  * Add emacs-nox >= 23, then mu4e gets automatically build
  * Add makeinfo, to handle info files
* Thu Mar  2 2017 mvetter@suse.com
- Initial package of version 0.9.18 for openSUSE
